BCDUtils (Solr 3.6.2 API)
Keywords: org.apache.solr.util.BCDUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class BCDUtils

    java.lang.Object
      org.apache.solr.util.BCDUtils

    public class BCDUtils

extends Object

Version:
  $Id: BCDUtils.java 555343 2007-07-11 17:46:25Z hossman $

Constructor Summary
`BCDUtils()`

Method Summary
`static int` | `base100SortableIntToBase10(char[] arr, int start, int end, char[] out, int offset)`
`static String` | `base100SortableIntToBase10(String val)`
`static int` | `base100toBase10(char[] arr, int start, int end, char[] out, int offset)`
`static int` | `base10kSortableIntToBase10(char[] arr, int start, int end, char[] out, int offset)`
`static String` | `base10kSortableIntToBase10(String val)`
`static int` | `base10toBase100(char[] arr, int start, int end, char[] out, int outend)`
`static int` | `base10toBase100SortableInt(char[] arr, int start, int end, char[] out, int outend)` FUTURE // the zero exponent...
`static String` | `base10toBase100SortableInt(String val)`
`static int` | `base10toBase10kSortableInt(char[] arr, int start, int end, char[] out, int outend)`
`static String` | `base10toBase10kSortableInt(String val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BCDUtils

    public BCDUtils()

Method Detail

### base10toBase100

    public static int base10toBase100(char[] arr,
                                      int start,
                                      int end,
                                      char[] out,
                                      int outend)

### base100toBase10

    public static int base100toBase10(char[] arr,
                                      int start,
                                      int end,
                                      char[] out,
                                      int offset)

### base10toBase100SortableInt

    public static String base10toBase100SortableInt(String val)

### base100SortableIntToBase10

    public static String base100SortableIntToBase10(String val)

### base10toBase10kSortableInt

    public static String base10toBase10kSortableInt(String val)

### base10kSortableIntToBase10

    public static String base10kSortableIntToBase10(String val)

### base10toBase100SortableInt

    public static int base10toBase100SortableInt(char[] arr,
                                                 int start,
                                                 int end,
                                                 char[] out,
                                                 int outend)

  FUTURE // the zero exponent... exponents above this point are positive // and below are negative. // It is desirable to make ordinary numbers have a single byte // exponent when converted to UTF-8 // For integers, the exponent will always be >=0, but this format // is meant to be valid for floating point numbers as well... private static final int ZERO_EXPONENT='a'; // 97 // if exponent is larger than what can be represented // in a single byte (char), then this is the multibyte // escape char. // UCS-2 surrogates start at 0xD800 private static final int POSITIVE_EXPONENT_ESCAPE=0x3fff; // if exponent is smaller than what can be represented in // a single byte, then this is the multibyte escape private static final int NEGATIVE_EXPONENT_ESCAPE=1; // if number is negative, it starts with this optional value // this should not overlap with any exponent values private static final int NEGATIVE_SIGN=0;

### base100SortableIntToBase10

    public static int base100SortableIntToBase10(char[] arr,
                                                 int start,
                                                 int end,
                                                 char[] out,
                                                 int offset)

### base10toBase10kSortableInt

    public static int base10toBase10kSortableInt(char[] arr,
                                                 int start,
                                                 int end,
                                                 char[] out,
                                                 int outend)

### base10kSortableIntToBase10

    public static int base10kSortableIntToBase10(char[] arr,
                                                 int start,
                                                 int end,
                                                 char[] out,
                                                 int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD